## org.eclipse.datatools.modelbase.sql.query
Interface CallStatement

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLControlStatement, SQLObject, SQLQueryObject, SQLStatement

    public interface CallStatement

extends SQLQueryObject, SQLControlStatement

A representation of the model object 'Call Statement'.

The following features are supported:

- `Argument List`
- `Procedure Ref`

See Also:
  `SQLQueryModelPackage.getCallStatement()`

Method Summary
`org.eclipse.emf.common.util.EList` `getArgumentList()` Returns the value of the 'Argument List' containment reference list.
`ProcedureReference` `getProcedureRef()` Returns the value of the 'Procedure Ref' containment reference.
`void` `setProcedureRef(ProcedureReference value)` Sets the value of the '`Procedure Ref`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.statements.SQLStatement
`getSQL, setSQL`

Method Detail

### getArgumentList

    org.eclipse.emf.common.util.EList getArgumentList()

  Returns the value of the 'Argument List' containment reference list. The list contents are of type `QueryValueExpression`. It is bidirectional and its opposite is '`Call Statement`'.

  If the meaning of the 'Argument List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Argument List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getCallStatement_ArgumentList()`, `QueryValueExpression.getCallStatement()`

### getProcedureRef

    ProcedureReference getProcedureRef()

  Returns the value of the 'Procedure Ref' containment reference. It is bidirectional and its opposite is '`Call Statement`'.

  If the meaning of the 'Procedure Ref' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Procedure Ref' containment reference.
  See Also:
    `setProcedureRef(ProcedureReference)`, `SQLQueryModelPackage.getCallStatement_ProcedureRef()`, `ProcedureReference.getCallStatement()`

### setProcedureRef

    void setProcedureRef(ProcedureReference value)

  Sets the value of the '`Procedure Ref`' containment reference.

  Parameters:
    `value` - the new value of the 'Procedure Ref' containment reference.
  See Also:
    `getProcedureRef()`